import xHttp from '@/apis/Xhttp'
import { DATA_RULE_URL } from '@/apis/url'
import { getRuleResult, SearchRuleData, ruleData } from './types'

export default {
  // 获取规则数据列表
  async getRules(params: SearchRuleData) {
    return await xHttp.get<getRuleResult, SearchRuleData>(DATA_RULE_URL.LIST, params)
  },
  // 添加数据规则
  async addRule(data: ruleData) {
    return await xHttp.post<any, ruleData>(DATA_RULE_URL.ADD, data)
  },
  // 修改数据规则
  async updateRule(ruleId: string, data: ruleData) {
    return await xHttp.put(DATA_RULE_URL.UPDATE(ruleId), data)
  },
  // 删除数据规则
  async deleteRule(ruleId: string) {
    return await xHttp.delete(DATA_RULE_URL.DELETE(ruleId))
  },
  // 获取规则详情
  async getRule(ruleId: string) {
    return await xHttp.get(DATA_RULE_URL.GET(ruleId))
  },
  // 获取支持的运算符列表
  async getSupportRelation() {
    return await xHttp.get<string[]>('/dataRule/supportRelation')
  }
}
