import xHttp from '@/apis/Xhttp'
import { LoginResult, LoginData, RefreshData, RegisterData, ResetPwdData } from './types'
import { LOGIN_URL } from '@/apis/url'
import md5 from 'md5'

export default {
  login(username: string, password: string) {
    password = md5(password)
    return xHttp.post<LoginResult, LoginData>(LOGIN_URL.LOGIN, {
      username,
      password,
      grant_type: 'password'
    })
  },
  // 手机号登录
  async loginPhone(phone: string, password: string) {
    password = md5(password)
    return await xHttp.post<LoginResult, LoginData>(LOGIN_URL.LOGIN, {
      phone,
      password,
      grant_type: 'phone_password'
    })
  },
  // 注册
  async register(
    username: string,
    nickname: string,
    password: string,
    phone: string,
    verifyCode: string
  ) {
    const md5Pwd: string = md5(password).toString()
    return xHttp.post<string, RegisterData>(LOGIN_URL.REGISTER, {
      username,
      nickname,
      password: md5Pwd,
      phone,
      verifyCode
    })
  },

  // 修改个人密码
  async resetPassword(phone: string, verifyCode: string, pwd: string) {
    const password = md5(pwd).toString()
    return await xHttp.post<string, ResetPwdData>('user/reset', {
      phone,
      verifyCode,
      password
    })
  },

  async refreshToken() {
    const refresh_token = localStorage.getItem('refresh_token') as string
    return await xHttp.post<LoginResult, RefreshData>(LOGIN_URL.LOGIN, {
      // scope: "all",
      grant_type: 'refresh_token',
      refresh_token
    })
    //   localStorage.setItem('refresh_token', data.refresh_token)
    //   localStorage.setItem('access_token', data.access_token)
    //   return data
  },
  // // 修改个人密码
  // async changePassword(oldPassword, newPassword, confirmPassword) {
  //   const md5Pwd = md5(oldPassword).toString()
  //   const md5NewPwd = md5(newPassword).toString()
  //   const md5ConfirmPwd = md5(confirmPassword).toString()
  //   return await xHttp.put('user/modifyPassword', {
  //     oldPassword: md5Pwd,
  //     newPassword: md5NewPwd,
  //     confirmPassword: md5ConfirmPwd
  //   })
  // },
  // // 修改个人信息
  // async changeYourInformation(NickName, Phone) {
  //   return await xHttp.put('user/profile', {
  //     nickName: NickName,
  //     phone: Phone
  //   })
  // },
  // 获取个人信息
  async getUserInformation() {
    // 获取当前个人信息mis1.0
    // return await xHttp.get<GetInfo>('/user/info')
    // 获取当前个人信息mis2.0
    return await xHttp.get('/user/current/info')
  }
  // // 退出登录
  // async logout() {
  //   return await xHttp.post(LOGIN_URL.LOGOUT)
  // }
}
