import xHttp from '@/apis/Xhttp'
import { QueryMenuResult } from './types'
import { MENU_URL } from '@/apis/url'
export default {
  // 查询菜单树
  // TODO 后台接口问题，不传 {} 会报错
  async queryMenuTree() {
    return await xHttp.get<QueryMenuResult[]>(MENU_URL.TREE_LIST, {})
  },
  // 添加新菜单
  async addMenu(data: QueryMenuResult) {
    return await xHttp.post<QueryMenuResult[], QueryMenuResult>(MENU_URL.ADD_MENU, data)
  },
  async deleteMenu(id: string) {
    return await xHttp.delete(MENU_URL.DELETE_MENU(id))
  },
  async modifyMenu(data: QueryMenuResult) {
    return await xHttp.put(MENU_URL.UPDATE_MENU(data._id), data)
  }
}
