export interface TreeData {
  _id: string
  component: string
  icon: string
  is_system: string
  name: string
  pid: string
  uri: string
  key?: string
  path?: string
  type: number
  hide: number
  sort_no: number
  children?: TreeData[]
}
/**
 * 根据条件进行查询角色列表返回值
 */
export interface queryAllRoleResult {
  list: roleData[]
  total: number
}
// 根据条件进行查询角色列表传入参数
export interface queryAllRoleData {
  page?: number
  size?: number
  name?: string
  code?: string
}

/** 新增角色传入参数*/
export interface roleData {
  name: string
  code: string
  description?: string
  _id: string
}

/**
 * 传入_id:
 * 编辑角色
 * 删除
 * 获取已经授权的资源列表
 */
export interface modifyRoleData extends roleData {
  _id: string
}

/**
 * 获取已经授权的资源列表
 */

export interface queryResourcesResult {
  table_name: string
  table_title: string
  description: string
  _id: string
}

// 向角色授权 或 取消授权
export interface unOrBindFormData {
  roleId: string
}

//获取规则
export interface dataRulesResult {
  list: {
    _id: string
    name: string
    rule_column: string
    rule_conditions: string
    rule_table: string
    rule_value: string
  }[]
}
export interface rulesData {
  rule_table: string
}
export interface queryAuthorizeMenusResult {
  component: string
  uri: string
  name: string
  _id: string
}

export interface authResourceResult {
  description: string
  groupname: string
  name: string
  type: string
  uri: string
  _id: string
}
