import xHttp from '@/apis/Xhttp'
import { SMS_URL } from '@/apis/url'
import { ImageCodeResult } from './types'

export default {
  // 获取图片验证码
  async getImageCode() {
    return await xHttp.get<ImageCodeResult>(SMS_URL.IMAGE_CODE)
  },

  // 获取注册短信验证码
  async getRegisterSmsCode(phone: string, imgKey: string, imgCode: string) {
    return await xHttp.post(
      `${SMS_URL.SMS_REGISTER}?phone=${phone}&imgKey=${imgKey}&imgCode=${imgCode}`
    )
  },

  // 获取重置密码短信验证码
  async getResetPasswdSmsCode(phone: string, imgKey: string, imgCode: string) {
    return await xHttp.post(
      `${SMS_URL.SMS_RESET}?phone=${phone}&imgKey=${imgKey}&imgCode=${imgCode}`
    )
  }
}
