import { cloneDeep } from 'lodash'
// 通过不同权限配置操作框和显示属性
export const filterRoleList = (list: SEARCH.FIELDS[]) => {
  list = cloneDeep(list)
  const userInfo = JSON.parse(localStorage.getItem('userInfo') as string)
  const roleCodes = userInfo['roles'].map(({ code }) => code)

  if (Array.isArray(list)) {
    return list.map((item) => {
      if (item['showRoles']) {
        let isShow = false
        for (const value of item['showRoles']) {
          if (roleCodes.includes(value)) {
            isShow = true
            break
          }
        }
        item['renderer']['options']['hide'] = !isShow
      }
      return item
    })
  } else {
    return []
  }
}
// 对获取的值进行处理
export const getSearchValues = (values, DateRangeMap, searchMap): SEARCH.VALUE[] => {
  const searchValues: SEARCH.VALUE[] = []
  Object.keys(values).forEach((key) => {
    if (![null, undefined, ''].includes(values[key])) {
      if (Array.isArray(values[key]) && values[key].length == 0) {
        return
      }
      // 判断是否为时间间隔控件
      if (DateRangeMap[key]) {
        const { name, operator } = DateRangeMap[key]
        searchValues.push({ name, operator, value: values[key] })
      } else {
        searchValues.push({ name: key, operator: searchMap[key], value: values[key] })
      }
    }
  })
  return searchValues
}
