export interface Props {
  // 获取自定义table配置
  // 包含 tableOperators、recordOperators、modalWidth、searchItems、tableFields、outFields、groups
  tableOptions?: {
    tableOperators?: TABLE.TABLE_OPERATORS[]
    recordOperators?: TABLE.RECORD_OPERATORS[]
    searchItems?: []
    tableFields?: []
    outFields?: []
    groups?: []
    modalWidth?: number
  }
  // 设置formName
  formName?: string
  // 设置是否显示标题
  showTitle?: boolean
  // table所占高度
  yOffset?: number
  // search控件宽度 默认300
  searchListWidth?: number
  // 操作行所占宽度
  operatorWidth?: number
  // 是否可以多选
  allowSelect?: boolean
  // 自定义字典
  customDicts?: FORM.DICT[]
  // 配置搜索项和table项
  // 获取表单定义的table后进行操作
  /**
   * @param {object}  table 当前表单获取的table
   * return {object}  table  处理之后的table
   */
  formTableOptionsHandler?: Function
  // 请求表单数据后对数据预处理
  beforeTableData?: Function
  // 设置提交前的值
  /**
   * @param {object}  values 当前提交数据
   * @param {string}  type 用户当前提交状态
   * return {object} values  处理后的数据
   */
  beforeSubmitHandler?: Function
  // 编辑错误时的提醒
  beforeErrorMsg?: Function
  // 表单自带过滤条件
  initFilter?: any[]
}
// 表格上部操作按钮
export const TABLE_OPERATORS = [
  {
    key: 'add',
    label: '添加',
    icon: 'PlusOutlined'
  },
  {
    key: 'download',
    label: '导出',
    icon: 'DownloadOutlined'
  },
  {
    key: 'import',
    label: '导入',
    icon: 'ImportOutlined'
  },
  {
    key: 'deletes',
    label: '批量删除',
    icon: 'DeleteOutlined'
  }
]
// 表格内部操作按钮
export const RECORD_OPERATORS = [
  {
    key: 'edit',
    label: '编辑'
  },
  {
    key: 'readonly',
    label: '查看'
  },
  {
    key: 'delete',
    label: '删除',
    color: '#f00',
    confirm: true
  }
]
