import formDesignApi from '@/apis/formDesign'
import { compact } from 'lodash'
// 获取表单定义
export const getFormDef = async (formName: string) => {
  if (!formName) return
  const res = await formDesignApi.queryFormDesign(formName)
  return res
}
// 检测数据类型
export const testFormat = (name, accepts) => {
  if (!name) return false
  let type = name.substring(name.lastIndexOf('.') + 1, name.length)
  type = type.toLocaleLowerCase()
  // let accepts = ["xls", "xlsx", "xlsm"];
  return accepts.includes(type)
}
// 判断操作按钮是否包含已封装好的按钮
export const getOperators = (newData, oldData) => {
  const operators = newData.map((item) => {
    if (typeof item === 'string') {
      return oldData.find(({ key }) => key == item)
    } else {
      return item
    }
  })
  return compact(operators)
}
// 设置默认值和固定过滤值
export const setDefaultFields = (initFilter: any[], searchFields: any[]) => {
  const initObj = {}
  const initFilterObj = {}
  const defaultFields = {}
  let regularFilter: any = []
  if (initFilter.length != 0) {
    initFilter.forEach((item) => {
      initObj[item[1]] = item[2]
      initFilterObj[item[1]] = item
    })
    for (let i = 0; i < searchFields.length; i++) {
      const { field } = searchFields[i].renderer.options
      if (initObj[field]) {
        defaultFields[field] = initObj[field]
        delete initObj[field]
      }
    }
    regularFilter = Object.keys(initObj).map((key) => initFilterObj[key])
  }
  return {
    defaultFields,
    regularFilter
  }
}
