import type { Props } from '../types'
import { tableStatic } from './index'

export default (props: Props) => {
  const selectedRowKeys = ref([])

  const sort = ref({ field: '', order: '' })

  const selectCount = computed(() => selectedRowKeys.value.length)

  const dataSource = computed(() => {
    selectedRowKeys.value = []
    if (!props.data || !Array.isArray(props.data)) return
    return props.data.map((item: any[], index) => {
      item[tableStatic.INDEX_NAME] = props.pageSize! * (props.pageCurrent! - 1) + index + 1
      return item
    })
  })

  const borderedCom = computed(() => {
    return props.groups ? Object.keys(props.groups).length !== 0 || props.bordered : false
  })

  const scroll = computed(() => {
    const obj: any = { scrollToFirstRowOnChange: true }
    if (props.yOffset) {
      obj.y = `calc(100vh - ${props.yOffset}px)`
    }
    return obj
  })
  return { dataSource, selectedRowKeys, borderedCom, scroll, selectCount, sort }
}
