export type DictType = 'enum' | 'inline' | 'table'

export enum EMIT_KEY {
  TABLE_OPERATOR_CLICK = 'tableOperatorClick',
  RECORD_OPERATOR_CLICK = 'recordOperatorClick',
  REFRESH = 'refresh'
}
export interface TableOperators {
  key: string
  label: string
  icon?: string
  type?: string
  showRoles?: string
  disabled?: boolean
  // [key: string]: any
}
interface RecordOperator {
  key?: string
  label: string
  icon?: string
  color?: string
  confirm?: boolean
  showRoles?: string[]
  expression?: string | string[] | Function
  disabled?: string | string[] | Function
}
export interface RecordOperators extends RecordOperator {
  children?: RecordOperator[]
  // [key: string]: any
}
export interface Fields {
  name: string
  label: string
  type?: string
  dict?: string
  slot?: boolean
  precision?: number
  unit?: string
}
export interface Props {
  tableOperators?: TableOperators[]
  recordOperators?: RecordOperators[]
  fields: Fields[]
  data: any[]
  keyField?: string
  dicts?: FORM.DICT[]
  allowSelect?: boolean
  bordered?: boolean
  loading?: boolean
  total?: number
  pageSize?: number
  pageCurrent?: number
  operatorWidth?: number
  groups?: {}
  yOffset?: number | null
}
