import PlusCalculator from './Plus'
import SubtractCalculator from './Subtract'
import MultiplyCalculator from './Multiply'
import ConcatCalculator from './Concat'
import DivideCalculator from './Divide'
import SumCalculator from './Sum'
import GetCalculator from './Get'
import SumMean from './SumMean'

enum CALCULATOR_TYPES {
  PLUS = '+',
  SUBTRACT = '-',
  MULTIPLY = '*',
  CONCAT = 'concat',
  SUM = 'sum',
  GET = 'get',
  SUM_MEAN = 'sum_mean',
  DIVIDE = '/'
}

const createCalculator = (expression, formData, fieldData?) => {
  if (!expression || !Array.isArray(expression) || expression.length < 3 || !formData) return
  const type = expression[0]
  switch (type) {
    case CALCULATOR_TYPES.PLUS:
      return new PlusCalculator(expression, formData, fieldData)
    case CALCULATOR_TYPES.SUBTRACT:
      return new SubtractCalculator(expression, formData, fieldData)
    case CALCULATOR_TYPES.MULTIPLY:
      return new MultiplyCalculator(expression, formData, fieldData)
    case CALCULATOR_TYPES.CONCAT:
      return new ConcatCalculator(expression, formData, fieldData)
    case CALCULATOR_TYPES.SUM:
      return new SumCalculator(expression, formData, fieldData)
    case CALCULATOR_TYPES.GET:
      return new GetCalculator(expression, formData, fieldData)
    case CALCULATOR_TYPES.SUM_MEAN:
      return new SumMean(expression, formData, fieldData)
    case CALCULATOR_TYPES.DIVIDE:
      return new DivideCalculator(expression, formData, fieldData)
  }
}

export default { createCalculator }
