export default class Comparator {
  /**
   *
   * @param {*} expression   计算表达式
   * @param {*} formData     form表单数据
   * @param {*} parentFormData     父级数据
   */
  expression: any
  formData: {}
  parentFormData?: {} | undefined
  constructor(expression, formData, parentFormData) {
    if (!expression) return
    // expression 数组长度小于3则表达式不完整
    if (!Array.isArray(expression) || expression.length < 3) return
    this.expression = expression
    this.formData = formData
    this.parentFormData = parentFormData
  }

  /**
   * 根据表达式计算
   */
  compare() {
    console.warn('Concrete Compare should override calc function')
  }
  // 计算值
  getValue(field) {
    let value = ''
    if (field.startsWith('parentFormData.')) {
      field = field.replace('parentFormData.', '')
      value = this.parentFormData ? this.parentFormData[field] : undefined
    } else {
      value = this.formData ? this.formData[field] : undefined
    }
    return value
  }
}
