import Validator from './Validator'
export default class ItemCountValidator extends Validator {
  constructor(fieldLabel, def, formData) {
    super(fieldLabel, def, formData)
  }

  /**
   * 生成校验规则
   */
  getRule() {
    return {
      type: 'object',
      required: false,
      options: { data: true },
      fields: {
        data: this.getData()
      }
    }
  }
  getData() {
    const { min, max, size, message } = this.def?.options || {}
    if (size) {
      return {
        type: 'array',
        len: size,
        message: message ?? `${this.fieldLabel}数量需达到${size}条`
      }
    } else {
      return {
        type: 'array',
        min,
        max,
        message: message ?? `${this.fieldLabel}数量在${min}-${max}之间`
      }
    }
  }
}
