import Validator from './Validator'
export default class RequiredValidator extends Validator {
  /**
   * 必填项校验器
   * @param {*} label 字段标题
   */
  constructor(fieldLabel, def, formData) {
    super(fieldLabel, def, formData)
  }
  /**
   * 生成校验规则
   */
  getRule() {
    const { isSubForm, options } = this.def
    let rule = {
      required: true,
      message: options?.message || `${this.fieldLabel}不能为空`
    }
    if (isSubForm) {
      // rule["type"] = "object";
      // rule["transform"] = (value) => {
      //   console.log("value :>> ", value);
      //   const data = value?.data;
      //   if (data && data.length == 0) {
      //     return null;
      //   }
      //   return value;
      // };
      rule['type'] = 'object'
      rule['fields'] = {
        data: { type: 'array', min: 1, message: rule['message'] }
      }
    }
    return rule
  }
}
