import ComparatorFactory from '@/components/form/GTForm/comparator/Factory'
interface addOptions extends FORM.OPTIONS {
  columns?: number
  text?: string
  children?: typeOptions[]
  title?: string
}
export interface Props {
  options: addOptions
  formData: object
}
export interface typeOptions {
  type: string
  options: FORM.OPTIONS
}
export interface InputChange {
  field?: string
  value?: any
  data?: object
}
export default (props: Props) => {
  const eventBus = inject('eventBus') as any
  eventBus.on('change', updateVisibility)
  const visible = ref(true)
  onMounted(() => {
    updateVisibility({})
  })
  function updateVisibility(payload: InputChange) {
    const { field } = payload
    const { depends } = props.options
    if (depends) {
      if (field && !fieldInDepends(field, depends)) return
      const comparator = ComparatorFactory.createComparator(depends, props.formData)
      if (comparator) {
        visible.value = comparator.compare()
      }
    }
  }
  function fieldInDepends(field, depends) {
    let res = false
    for (var i = 0; i < depends.length; i++) {
      if (Array.isArray(depends[i])) {
        //判断是否为多维数组
        res = fieldInDepends(field, depends[i])
        if (res) return true
      } else {
        if (depends[i] === field) return true
      }
    }
    return res
  }
  return { visible }
}
