import { addOptions } from './types'
import { parseDict } from '@/utils/dict'
import { cloneDeep, keyBy } from 'lodash'
export const getFilter = (filter) => {
  let filterField: string = ''
  let focusField: string = ''
  if (Array.isArray(filter) && filter.length === 3) {
    const operator = filter[0]
    if (operator === '=') {
      filterField = filter[1]
      focusField = filter[2]
    }
  }
  return { filterField, focusField }
}
export const getAllItems = async (options: addOptions, filterValue) => {
  let allItems = []
  const { lazy, filter, dict } = options
  const { filterField } = getFilter(filter)
  if (lazy) {
    if (filterValue) {
      const newDict = cloneDeep(dict)
      const filter = ['=', filterField, filterValue]
      allItems = await parseDict(newDict, filter)
    }
  } else {
    allItems = await parseDict(dict)
  }
  const itemsMap = keyBy(allItems, 'value')
  return { getItems: allItems, getItemsMap: itemsMap }
}
