import { ref } from 'vue'
import { defineStore } from 'pinia'
import { TreeData } from '@/apis/role/types'
// type infoKey = ['userInfo', 'menuList']
interface infoData {
  userInfo: {
    nickname?: string
  }
  menuList: TreeData[]
}
type infoKey = keyof infoData

export const useInfoStore = defineStore('info', () => {
  const info: Ref<infoData> = ref({ userInfo: {}, menuList: [] })
  const menuList = computed(() => info.value.menuList)
  const userInfo = computed(() => info.value.userInfo)
  const setValue = (key: infoKey, value) => {
    info.value[key] = value
  }
  return { menuList, userInfo, setValue }
})
