export const searchFields: SEARCH.FIELDS[] = [
  {
    operator: '=',
    renderer: {
      type: 'TextField',
      options: {
        field: 'tableTitle',
        label: '表单标题'
      }
    }
  },
  {
    operator: '=',
    renderer: {
      type: 'TextField',
      options: {
        field: 'tableName',
        label: '表单名称'
      }
    }
  }
]
export const tableFields: TABLE.FIELDS[] = [
  { name: 'table_title', label: '表单标题' },
  { name: 'table_name', label: '表单名称' },
  { name: 'version', label: '版本', align: 'center', width: 60 },
  { name: 'status', label: '运行状态', align: 'center', dict: '运行状态', width: 120 },
  {
    name: 'update_time',
    type: 'datetime',
    label: '更新时间',
    align: 'center',
    width: 180
  }
]
export const tableOperators: TABLE.TABLE_OPERATORS[] = [
  { label: '添加', key: 'add', icon: 'PlusOutlined' },
  { label: '导入', key: 'import', icon: 'ImportOutlined' },
  { label: '导出', key: 'export', icon: 'ExportOutlined' }
]
export const recordOperators: TABLE.RECORD_OPERATORS[] = [
  { label: '编辑', key: 'edit' },
  { label: '删除', key: 'delete', color: '#f00', confirm: true },
  {
    label: '更多',
    children: [
      { label: '数据', key: 'readonly' },
      { label: '规则', key: 'rule' },
      { label: '授权', key: 'auth' }
    ]
  }
]
export const Dicts: FORM.DICT[] = [
  {
    name: '运行状态',
    type: 'inline',
    items: [
      {
        label: '未开始',
        value: 0,
        tagColor: 'warning',
        tag: true
      },
      {
        label: '运行中',
        value: 1,
        tagColor: 'success',
        tag: true
      },
      {
        label: '已结束',
        value: -1,
        tagColor: 'error',
        tag: true
      }
    ]
  }
]
